%global _empty_manifest_terminate_build 0
Name:           perl-BibTeX-Parser
Version:        1.04
Release:        1
Summary:        BibTeX::Parser Perl module
License:        Artistic-1.0 or GPL-1.0-or-later
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/BibTeX-Parser/
Source0:        http://www.cpan.org/authors/id/B/BO/BORISV/BibTeX-Parser-%{version}.tar.gz
# Remove a strayed debugging output, CPAN RT#134350, proposed to the upstream
Patch0:         BibTeX-Parser-1.03-Remove-a-debugging-output-from-BibTeX-Parser-Entry-t.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(LaTeX::ToUnicode) >= 0.11
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl-generators
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(overload)
# Tests:
BuildRequires:  perl(constant)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(utf8)

Requires:       perl(File::Spec)
Requires:       perl(IO::String)
Requires:       perl(LaTeX::ToUnicode) >= 0.11
Requires:       perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
BibTeX::Parser Perl module
%package help
Summary : BibTeX::Parser Perl module
Provides: perl-BibTeX-Parser-doc
%description help
BibTeX::Parser Perl module

%prep
%autosetup -n BibTeX-Parser-%{version} -p1

# Remove skipped tests
for F in t/08-parse_large.t t/release-pod-*.t \
; do
    rm "$F"
    perl -i -ne 'print $_ unless m{^\Q'"$F"'\E}' MANIFEST
done
# Correct the permissions
chmod a+x t/*.t

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*
# Install tests
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
#!/bin/sh
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_libexecdir}/%{name}

%files help
%{_mandir}/*

%changelog
* Mon Sep 11 2023 chenchen <chen_aka_jan@163.com> - 1.04-1
- Upgrade to version 1.04

* Fri Sep 02 2022 yaoxin <yaoxin30@h-partners.com> - 1.03-2
- License compliance rectification

* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.03-1
- Upgrade to version 1.03

* Wed Jun 10 2020 Perl_Bot <Perl_Bot@openeuler.org> 1.02-1
- Specfile autogenerated by Perl_Bot
